%define upstream_name    Dist-Zilla-Plugin-Prepender
%define upstream_version 2.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    prepend lines at the top of your perl files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JQ/JQUELIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This plugin will prepend the specified lines in each Perl module or
program within the distribution. For scripts having a shebang line,
lines will be inserted just after it.

This is useful to enforce a set of pragmas to your files (since pragmas
are lexical, they will be active for the whole file), or to add some
copyright comments, as the fsf recommends.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.2.0-3.mga6
+ Revision: 1026529
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.2.0-2.mga6
+ Revision: 969347
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 2.2.0-1.mga6
+ Revision: 868431
- update to 2.002

* Sun Jun 28 2015 sander85 <sander85> 2.1.0-1.mga6
+ Revision: 846562
- update to 2.001

* Wed Oct 15 2014 umeabot <umeabot> 1.112.280-5.mga5
+ Revision: 745362
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.280-3.mga4
+ Revision: 511123
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.280-2.mga3
+ Revision: 366355
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.112280

* Fri Feb 25 2011 jquelin <jquelin> 1.103.470-1.mga1
+ Revision: 59577
- update to 1.103470

* Wed Jan 26 2011 jquelin <jquelin> 1.101.590-1.mga1
+ Revision: 40542
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Prepender

